Name: ksudoku
Summary: KSudoku - Play, create and solve sudoku grids 
Group: Graphical desktop/KDE4
URL: http://www.kde.org/applications/games/ksudoku/
Version: 15.04.3
Release: %mkrel 1
License: GPLv2 and LGPLv2 and GFDL
Source: ftp://ftp.kde.org/pub/kde/unstable/%version/src/%name-%version.tar.xz
BuildRequires: kdegames-devel
Suggests: ksudoku-handbook
Conflicts: kde-games-devel < 4.9.80
Conflicts: kde-games-core < 4.9.80
Obsoletes: kde-games-core < 4.9.80
Obsoletes: kde-games-%{name} <= 4.9.5
Conflicts: kde-games-%{name} <= 4.9.5

%description
The word Sudoku means "single number in an alloted place" in Japanese. These
are the basic rules. Every sudoku Sudoku is a square of 81 cells divided into
9 columns and 9 rows and in 9 subsquares (3x3) of 9 cells each. Solving takes
usually from 10 to 30 minutes, depending on puzzle level, your skill and
experience.

Some cells are filled with a number at the beginnning: the remaining are to
be filled by the player using numbers from 1 to 9, without repeating a number
twice on each column, row or subsuquare (each of them must contain only
one 1, one 2, one 3, and so on). The game requires logic and patience.
The numerals in Sudoku puzzles are used for convenience (for example in 16x16
board we use letters): arithmetic relationships between numbers are irrelevant.

This program supports also 16x16 games with numbers from 1 to 16 and 256
cells with 16 cols, rows and subsquares! (if normal sudoku are not enough for
you).

More information at http://en.wikipedia.org/wiki/Sudoku

%files
%_kde_bindir/ksudoku
%_kde_applicationsdir/ksudoku.desktop
%_kde_appsdir/ksudoku
%_kde_datadir/config/ksudokurc
%_kde_iconsdir/hicolor/*/apps/ksudoku.png

#------------------------------------------------------------------------------

%package -n ksudoku-handbook
Summary: ksudoku handbook
Conflicts: ksudoku < 4.7.1-2
Requires:  ksudoku
BuildArch: noarch
Group: Documentation
%description -n ksudoku-handbook
This package provides the ksudoku handbook.

%files -n ksudoku-handbook
%_kde_docdir/HTML/en/ksudoku

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kde4
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Puzzles" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/ksudoku.desktop

%changelog
* Wed Jul 22 2015 pp <pp> 15.04.3-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 15.04.0-1pclos2015
- 15.04.0

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
